com.impinj.octane

## Enum TagFilterOp

- java.lang.Object
- - java.lang.Enum<TagFilterOp>
  - - com.impinj.octane.TagFilterOp

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<TagFilterOp>

      public enum TagFilterOp
      extends java.lang.Enum<TagFilterOp>

  What to do when comparing tag filters against the data patterns
  See Also:
    `TagFilter`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Match` Execute the condition if this tag filter matches
    `NotMatch` Execute the condition if this tag filter does not match

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TagFilterOp` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TagFilterOp[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Match

          public static final TagFilterOp Match

      Execute the condition if this tag filter matches

    - #### NotMatch

          public static final TagFilterOp NotMatch

      Execute the condition if this tag filter does not match

  - ### Method Detail

    - #### values

          public static TagFilterOp[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TagFilterOp c : TagFilterOp.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TagFilterOp valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null